Page MenuHomePhabricator

Convert xtools to use Intuition from its own repository
Closed, ResolvedPublic3 Estimated Story Points

Description

See https://github.com/Krinkle/intuition/wiki/Migrate for instructions how to do this.

This involves 2 pieces:

  • Remove the xtools dir from the Intuition repo.
  • Configure translatewiki.net to start doing translations for the xtools-rebirth repo.

Event Timeline

Matthewrbowker moved this task from Inbox to Working on the XTools board.May 19 2017, 12:16 AM
DannyH set the point value for this task to 1.May 31 2017, 5:33 PM
DannyH moved this task from New & TBD Tickets to Estimated on the Community-Tech board.

@Matthewrbowker: Can you explain this task? I believe the Intuition migration guide is about moving message keys out of the Intuition repo (as used to be the practice) and into your own tool's repo (which I'm pretty sure is already the case for XTools).

@kaldari Not just that, but we are also bound under Intuition on TranslateWiki.

Ah, I see. So currently, the Intuition repo has a directory containing all the xtools messages and these are the ones that are actually getting translated on translatewiki.net. I suppose someone is then manually copying them over into the xtools repo. This is indeed a sad state of affairs.

I suppose someone is then manually copying them over into the xtools repo. This is indeed a sad state of affairs.

I think it's actually pulling it directly from the Intution directory on Tool Labs. There's no one syncing it, that's for sure. At any rate we should probably drop XTools out of the Intuition repo now. I hate to think translators are still working away at old messages!

If you run into anything odd or confusing.. let me know, anything I can do to help!

kaldari updated the task description. (Show Details)Jun 27 2017, 11:55 PM
kaldari removed the point value for this task.
kaldari set the point value for this task to 3.Jun 27 2017, 11:58 PM
Krinkle removed a subscriber: Krinkle.Jul 24 2017, 7:48 PM
MusikAnimal closed this task as Resolved.Aug 8 2017, 8:09 PM
MusikAnimal claimed this task.
MusikAnimal moved this task from Working to Complete on the XTools board.

All done here, I believe! Any remaining steps can be discussed at T170789

@MusikAnimal: I'm confused. What was actually done here? The description lists 2 tasks:

  • Remove the xtools dir from the Intuition repo.
  • Configure translatewiki.net to start doing translations for the xtools-rebirth repo.

The first one hasn't been done: https://github.com/Krinkle/intuition/tree/master/language/messages/xtools. And the second one appears to have been split off as T170789 (which is still open, but perhaps complete).

kaldari reopened this task as Open.Aug 16 2017, 10:45 PM
kaldari moved this task from Q1 2018-19 to In Development on the Community-Tech-Sprint board.

Maybe I got the two tasks confused, but anyway we've done everything here: https://github.com/Krinkle/intuition/wiki/Migrate

@Krinkle Should we make a PR to remove https://github.com/Krinkle/intuition/tree/master/language/messages/xtools ?

I think translatewiki still needs to disable the old message group: https://phabricator.wikimedia.org/T170789#3503192

Krinkle renamed this task from Convert xtools intuition to its own repository to Convert xtools to use Intuition from its own repository.Aug 17 2017, 1:41 AM
Krinkle added a subscriber: Nikerabbit.EditedAug 17 2017, 1:45 AM

It seems T170789 is resolved (indicated by twn already having pushed localisation updates to the repo).

I'd like @Nikerabbit to sign off on whether it's okay to remove the old messages from Intuition core. After that I'll land any PR that removes these messages.

You can go ahead with removal. I unregistered the old group in https://gerrit.wikimedia.org/r/#/c/372349/

Krinkle claimed this task.Aug 23 2017, 12:06 AM
kaldari closed this task as Resolved.Sep 4 2017, 7:28 PM

This seems to be complete now. XTools messages can now be translated from https://translatewiki.net/w/i.php?title=Special:Translate&group=xtools&language=en.

Krinkle reassigned this task from Krinkle to kaldari.Sep 4 2017, 7:31 PM
Krinkle awarded a token.
DannyH moved this task from Estimated to Archive on the Community-Tech board.Sep 15 2017, 9:24 PM
Meno25 removed a subscriber: Meno25.Sep 19 2017, 1:57 PM